For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
      • GETList Collection Items
      • POSTCreate Collection Item
      • DELRemove Collection Items
      • PUTPublish Collection Items
      • GETGet Collection Item
      • PUTUpdate Collection Item
      • DELRemove Collection Item
      • PATCHPatch Collection Item
      • POSTItem Created
      • POSTItem Updated
      • POSTItem Deleted
      • POSTItem Unpublished
  • Ecommerce
LogoLogo
Resources
Get started
CMSItems

Update Collection Item

PUT
https://api.webflow.com/collections/:collection_id/items/:item_id
PUT
/collections/:collection_id/items/:item_id
$curl -X PUT "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items/580e64008c9a982ac9b8b754?live=true" \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "fields": {
> "slug": "new-item",
> "name": "My New Item",
> "_archived": false,
> "_draft": false,
> "value": "string"
> }
>}'
1{
2 "_archived": false,
3 "_draft": false,
4 "_id": "6489c55eadb87a537a083540",
5 "_cid": "63692ab61fb285e2ff2ba8f3",
6 "name": "Exciting blog post title",
7 "slug": "exciting-post",
8 "color": "#a98080",
9 "post-body": "<p>Blog post contents...</p>",
10 "post-summary": "Summary of exciting blog post",
11 "main-image": null,
12 "fileId": "580e63fe8c9a982ac9b8b749",
13 "url": "https://dev-assets.website-files.com/580e63fc8c9a982ac9b8b744/580e63fe8c9a982ac9b8b749_1477338110257-image20.jpg",
14 "author": "580e640c8c9a982ac9b8b778"
15}
Update an existing collection item. To upload a new image set the image URL to the corresponding item's field. Collection items that reuse images previously uploaded can just reference their fileId property.
Was this page helpful?
Previous

Remove Collection Item

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection
item_idstringRequiredformat: "uuid"
Unique identifier for and Item

Headers

Accept-VersionstringOptional
The API version

Query parameters

livebooleanOptional

Boolean indicating if the item(s) should be published/unpublished to/from the live site

Request

The item to update
fieldsobjectRequired
Fields in your collection item

Response

Request was successful
_archivedbooleanDefaults to false
Boolean determining if the Item is set to archived
_draftbooleanDefaults to false
Boolean determining if the Item is set to draft
_idstringRead-only
Unique identifier for the Item
_cidstringRead-only
Unique identifier for the Collection the Item belongs within
namestring
Name given to the Item
slugstring

URL structure of the Item in your site. Note: Updates to an item slug will break all links referencing the old slug.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error